{{ $navPages := .Site.Sections }}
{{ $taxonomies := .Site.Taxonomies }}
{{ $context := . }}

<!-- add all taxonomy pages -->
{{ range $key, $value := $taxonomies}}
{{ $pageUrl := (string (delimit (slice "/" $key) "")) }}
{{ $page := $.Site.GetPage $pageUrl }}
{{ $navPages = $navPages | append $page }}
{{ end }}

{{ $navPagesWithWeight := (sort (where $navPages "Params.nav_weight" "!=" nil) "Params.nav_weight" "asc") }}
{{ $navPagesWithoutWeight := (sort (where $navPages "Params.nav_weight" "=" nil) "Title" "asc") }}

{{ $navPagesOrdered := $navPagesWithWeight | append $navPagesWithoutWeight }}

{{ if .GetPage "/" }}
{{ with .GetPage "/" }}
<nav-item {{ if $context.IsHome}}active{{ end }}>
    <a href="{{ .Permalink | relURL }}">{{ .Title }}</a>
</nav-item>
{{ end }}
{{ else }}
<nav-item {{ if $context.IsHome}}active{{ end }}>
    <a href="{{ '/' | relURL }}">{{ .Site.Title }}</a>
</nav-item>
{{ end }}

{{ $currentPage := . }}
{{ range $navPagesOrdered }}
{{ if not .Params.hide_in_menu }}
<nav-item {{if (and (.InSection $currentPage) (eq $currentPage.IsHome false)) }}active{{end}}>
	<a href="{{ .Permalink }}">
		{{if .Params.showAuthStatus }}<auth-status quiet="true" visual=""></auth-status>{{ end }}
		{{ .Title }}
	</a>
	{{if .Params.navCount}}{{ (len .Pages) }}{{ end }}
</nav-item>
{{ end }}
{{ end }}

{{ $currentPage := . }}
{{ range .Site.Menus.main }}
<nav-item {{ if $currentPage.IsMenuCurrent "main" . }}active{{ end }}>
    <a href="{{ .URL }}" title="{{ .Title }}">{{ .Name }}</a>
</nav-item>
{{ end }}
